# H323GenericAudioCapability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323GenericAudioCapability:

[legend]
Collaboration diagram for H323GenericAudioCapability:
[legend]

## Public Member Functions

Construction
| H323GenericAudioCapability (const PString &capabilityId, unsigned fixedBitRate)
Overrides from class PObject
Comparison | Compare (const PObject &obj) const
Identification functions
virtual unsigned | GetSubType () const
Protocol manipulation
virtual PBoolean | OnSendingPDU (H245_AudioCapability &pdu, unsigned packetSize, CommandType type) const
virtual PBoolean | OnSendingPDU (H245_AudioMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_AudioCapability &pdu, unsigned &packetSize, CommandType type)
virtual PBoolean | IsMatch (const PASN_Choice &subTypePDU, const PString &mediaPacketization) const

## Protected Attributes

bool | m_fixedBitRate

## Detailed Description

This class describes the interface to a generic audio codec used to transfer data via the logical channels opened and managed by the H323 control channel.

An application may create a descendent off this class and override functions as required for descibing the codec.

## Constructor & Destructor Documentation

H323GenericAudioCapability::H323GenericAudioCapability | ( | const PString & | capabilityId,
|  | unsigned | fixedBitRate |
| ) |  |  |

Create a new set of information about a non-standard codec.

Parameters:

  capabilityId | generic codec identifier
  fixedBitRate | Fixed bit rate for audio

## Member Function Documentation

Comparison H323GenericAudioCapability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323Capability.

virtual unsigned H323GenericAudioCapability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

This returns H245_AudioCapability::e_genericCapability.

Implements H323Capability.

virtual PBoolean H323GenericAudioCapability::IsMatch | ( | const PASN_Choice & | subTypePDU,
|  | const PString & | mediaPacketization |
| ) |  |  | const`[virtual]`

Compare the generic part of the capability, if applicable.

Parameters:

  subTypePDU | sub-type PDU of H323Capability
  mediaPacketization | Media packetization used

Reimplemented from H323Capability.

virtual PBoolean H323GenericAudioCapability::OnReceivedPDU | ( | const H245_AudioCapability & | pdu,
|  | unsigned & | packetSize,
|  | CommandType | type |
| ) |  |  | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnReceivedPDU() to handle the provided PDU.

Parameters:

  pdu | PDU to get information from
  packetSize | Packet size to use in capability
  type | Type of PDU to send in

Reimplemented from H323AudioCapability.

virtual PBoolean H323GenericAudioCapability::OnSendingPDU | ( | H245_AudioMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Parameters:

  pdu | PDU to set information on

Reimplemented from H323AudioCapability.

virtual PBoolean H323GenericAudioCapability::OnSendingPDU | ( | H245_AudioCapability & | pdu,
|  | unsigned | packetSize,
|  | CommandType | type |
| ) |  |  | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnSendingPDU() to handle the PDU.

Parameters:

  pdu | PDU to set information on
  packetSize | Packet size to use in capability
  type | Type of PDU to send in

Reimplemented from H323AudioCapability.

## Field Documentation

bool H323GenericAudioCapability::m_fixedBitRate `[protected]`

The documentation for this class was generated from the following file:

- h323caps.h